.BG
.FN phtnnet.Hess
.TL
Evaluates Hessian for a Time-varying Neural Net
.DN
Evaluates the Hessian (matrix of second derivatives) of the specified
neural network. Normally called via argument `dohess=T' to `phtnnet'.  
Calling it direct is not recommended.
.CS
phtnnet.Hess(net, x, status)
.RA
.AG net
object of class `phtnnet' as returned by `phtnnet'.
.AG x
training data.  Must be in the form of a `model.matrix' output.  A time
zone column will be added by the code, but if one is present this will
be used instead.
.AG status
status of training data.  
May include time if data is not sorted, as for `phtnnet'
.RT
square symmetric matrix of the Hessian evaluated at the weights stored 
in the net.
.SA
`phtnnet'
.EX
options(na.action=na.omit)
mylung <- apply(lung[,4:10],2,function(x)(x-min(x,na.rm=T))/
		(range(x,na.rm=T)[2]-range(x,na.rm=T)[1])) 
mylung <- cbind(lung[,1:3],mylung) 
mylung$status <- mylung$status-1    
            
phtfit <-  phtnnet(Surv(time,status)   ~ ., data=mylung[,-1], 
		decay = 0.01, size = 2, skip=T, trace = T,
		maxit=1000, breakpts=c(0,100,200,300,10000))
eigen(phtnnet.Hess(phtfit,na.omit(mylung[,-1])[,3:9],
	na.omit(mylung[,-1])[,1:2]), T)$values
.KW neural
.WR
